"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Actions = void 0;
const tslib_1 = require("tslib");
class Actions {
    constructor(client) {
        this.client = client;
    }
    getAction(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.id}`,
                method: 'GET',
                params: {
                    display: parameters.display,
                    entities: parameters.entities,
                    fields: parameters.fields,
                    member: parameters.member,
                    member_fields: parameters.memberFields,
                    memberCreator: parameters.memberCreator,
                    memberCreator_fields: parameters.memberCreatorFields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateAction(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.id}`,
                method: 'PUT',
                params: {
                    text: parameters.text,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    deleteAction(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.id}`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getActionField(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.id}/${parameters.field}`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getActionBoard(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.id}/board`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getActionCard(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.id}/card`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getActionList(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.id}/list`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getActionMember(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.id}/member`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getActionMemberCreator(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.id}/memberCreator`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getActionOrganization(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.id}/organization`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateActionText(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.id}/text`,
                method: 'PUT',
                params: {
                    value: parameters.value,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getActionReactions(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.idAction}/reactions`,
                method: 'GET',
                params: {
                    member: parameters.member,
                    emoji: parameters.emoji,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    addActionReaction(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.idAction}/reactions`,
                method: 'POST',
                data: {
                    shortName: parameters.shortName,
                    skinVariation: parameters.skinVariation,
                    native: parameters.native,
                    unified: parameters.unified,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getActionReaction(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.idAction}/reactions/${parameters.id}`,
                method: 'GET',
                params: {
                    member: parameters.member,
                    emoji: parameters.emoji,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    deleteActionReaction(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.idAction}/reactions/${parameters.id}`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getActionReactionSummary(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/actions/${parameters.idAction}/reactionsSummary`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
}
exports.Actions = Actions;
