"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Checklists = void 0;
const tslib_1 = require("tslib");
class Checklists {
    constructor(client) {
        this.client = client;
    }
    createChecklist(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: '/checklists',
                method: 'POST',
                params: {
                    idCard: parameters.idCard,
                    name: parameters.name,
                    pos: parameters.pos,
                    idChecklistSource: parameters.idChecklistSource,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getChecklist(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/checklists/${parameters.id}`,
                method: 'GET',
                params: {
                    cards: parameters.cards,
                    checkItems: parameters.checkItems,
                    checkItem_fields: parameters.checkItemFields,
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateChecklist(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/checklists/${parameters.id}`,
                method: 'PUT',
                params: {
                    name: parameters.name,
                    pos: parameters.pos,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    deleteChecklist(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/checklists/${parameters.id}`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getChecklistField(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/checklists/${parameters.id}/${parameters.field}`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateChecklistField(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/checklists/${parameters.id}/${parameters.field}`,
                method: 'PUT',
                params: {
                    value: parameters.value,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getChecklistBoard(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/checklists/${parameters.id}/board`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getChecklistCards(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/checklists/${parameters.id}/cards`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getChecklistCheckItems(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/checklists/${parameters.id}/checkItems`,
                method: 'GET',
                params: {
                    filter: parameters.filter,
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    createChecklistCheckItems(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/checklists/${parameters.id}/checkItems`,
                method: 'POST',
                params: {
                    name: parameters.name,
                    pos: parameters.pos,
                    checked: parameters.checked,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getChecklistCheckItem(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/checklists/${parameters.id}/checkItems/${parameters.idCheckItem}`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    deleteChecklistCheckItem(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/checklists/${parameters.id}/checkItems/${parameters.idCheckItem}`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
}
exports.Checklists = Checklists;
