"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Labels = void 0;
const tslib_1 = require("tslib");
class Labels {
    constructor(client) {
        this.client = client;
    }
    getLabel(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/labels/${parameters.id}`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateLabel(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/labels/${parameters.id}`,
                method: 'PUT',
                params: {
                    name: parameters.name,
                    color: parameters.color,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    deleteLabel(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/labels/${parameters.id}`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateLabelField(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/labels/${parameters.id}/${parameters.field}`,
                method: 'PUT',
                params: {
                    value: parameters.value,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    createLabel(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: '/labels',
                method: 'POST',
                params: {
                    name: parameters.name,
                    color: parameters.color,
                    idBoard: parameters.idBoard,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
}
exports.Labels = Labels;
