"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Lists = void 0;
const tslib_1 = require("tslib");
class Lists {
    constructor(client) {
        this.client = client;
    }
    getList(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/lists/${parameters.id}`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateList(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/lists/${parameters.id}`,
                method: 'PUT',
                params: {
                    name: parameters.name,
                    closed: parameters.closed,
                    idBoard: parameters.idBoard,
                    pos: parameters.pos,
                    subscribed: parameters.subscribed,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    createList(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: '/lists',
                method: 'POST',
                params: {
                    name: parameters.name,
                    idBoard: parameters.idBoard,
                    idListSource: parameters.idListSource,
                    pos: parameters.pos,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    archiveAllCardsInList(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/lists/${parameters.id}/archiveAllCards`,
                method: 'POST',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    moveAllCardsInList(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/lists/${parameters.id}/moveAllCards`,
                method: 'POST',
                params: {
                    idBoard: parameters.idBoard,
                    idList: parameters.idList,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    setListCloseState(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/lists/${parameters.id}/closed`,
                method: 'PUT',
                params: {
                    value: parameters.value,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    moveListToDifferentBoard(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/lists/${parameters.id}/idBoard`,
                method: 'PUT',
                params: {
                    value: parameters.value,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    renameList(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/lists/${parameters.id}/${parameters.field}`,
                method: 'PUT',
                params: {
                    value: parameters.value,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getListActions(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/lists/${parameters.id}/actions`,
                method: 'GET',
                params: {
                    filter: parameters.filter,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getListBoard(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/lists/${parameters.id}/board`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getListCards(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/lists/${parameters.id}/cards`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
}
exports.Lists = Lists;
