"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Members = void 0;
const tslib_1 = require("tslib");
class Members {
    constructor(client) {
        this.client = client;
    }
    getMember(parameters, callback) {
        var _a, _b, _c, _d;
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}`,
                method: 'GET',
                params: {
                    actions: parameters.actions,
                    boards: parameters.boards,
                    boardBackgrounds: parameters.boardBackgrounds,
                    boardsInvited: parameters.boardsInvited,
                    boardsInvited_fields: parameters.boardsInvitedFields,
                    boardStars: parameters.boardStars,
                    cards: parameters.cards,
                    customBoardBackgrounds: parameters.customBoardBackgrounds,
                    customEmoji: parameters.customEmoji,
                    customStickers: parameters.customStickers,
                    fields: parameters.fields,
                    notifications: parameters.notifications,
                    organizations: parameters.organizations,
                    organization_fields: (_a = parameters.organizationFields) !== null && _a !== void 0 ? _a : (_b = parameters.organization) === null || _b === void 0 ? void 0 : _b.fields,
                    organization_paid_account: (_c = parameters.organizationPaidAccount) !== null && _c !== void 0 ? _c : (_d = parameters.organization) === null || _d === void 0 ? void 0 : _d.paidAccount,
                    organizationsInvited: parameters.organizationsInvited,
                    organizationsInvited_fields: parameters.organizationsInvitedFields,
                    paid_account: parameters.paidAccount,
                    savedSearches: parameters.savedSearches,
                    tokens: parameters.tokens,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateMember(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}`,
                method: 'PUT',
                params: {
                    fullName: parameters.fullName,
                    initials: parameters.initials,
                    username: parameters.username,
                    bio: parameters.bio,
                    avatarSource: parameters.avatarSource,
                    'prefs/colorBlind': parameters.colorBlind,
                    'prefs/locale': parameters.locale,
                    'prefs/minutesBetweenSummaries': parameters.minutesBetweenSummaries,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberField(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/${parameters.field}`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberActions(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/actions`,
                method: 'GET',
                params: {
                    filter: parameters.filter,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberBoardBackgrounds(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/boardBackgrounds`,
                method: 'GET',
                params: {
                    filter: parameters.filter,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    uploadMemberBoardBackground(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/boardBackgrounds`,
                method: 'POST',
                params: {
                    file: parameters.file,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberBoardBackground(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/boardBackgrounds/${parameters.idBackground}`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateBoardBackground(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/boardBackgrounds/${parameters.idBackground}`,
                method: 'PUT',
                params: {
                    brightness: parameters.brightness,
                    tile: parameters.tile,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    deleteMemberBoardBackground(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/boardBackgrounds/${parameters.idBackground}`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberBoardStars(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/boardStars`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    starMemberBoard(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/boardStars`,
                method: 'POST',
                params: {
                    idBoard: parameters.idBoard,
                    pos: parameters.pos,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberBoardStar(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/boardStars/${parameters.idStar}`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateMemberBoardStar(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/boardStars/${parameters.idStar}`,
                method: 'PUT',
                params: {
                    pos: parameters.pos,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    unstarMemberBoard(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/boardStars/${parameters.idStar}`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberBoards(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/boards`,
                method: 'GET',
                params: {
                    filter: parameters.filter,
                    fields: parameters.fields,
                    lists: parameters.lists,
                    organization: parameters.organization,
                    organization_fields: parameters.organizationFields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberBoardsInvited(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/boardsInvited`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberCards(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/cards`,
                method: 'GET',
                params: {
                    filter: parameters.filter,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberCustomBoardBackgrounds(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/customBoardBackgrounds`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    uploadMemberCustomBoardBackground(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/customBoardBackgrounds`,
                method: 'POST',
                params: {
                    file: parameters.file,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberCustomBoardBackground(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/customBoardBackgrounds/${parameters.idBackground}`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateMemberCustomBoardBackground(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/customBoardBackgrounds/${parameters.idBackground}`,
                method: 'PUT',
                params: {
                    brightness: parameters.brightness,
                    tile: parameters.tile,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    deleteMemberCustomBoardBackground(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/customBoardBackgrounds/${parameters.idBackground}`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberCustomEmojis(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/customEmoji`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    createMemberCustomEmoji(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/customEmoji`,
                method: 'POST',
                params: {
                    file: parameters.file,
                    name: parameters.name,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberCustomEmoji(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/customEmoji/${parameters.idEmoji}`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberCustomStickers(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/customStickers`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    uploadMemberCustomSticker(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/customStickers`,
                method: 'POST',
                params: {
                    file: parameters.file,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberCustomSticker(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/customStickers/${parameters.idSticker}`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    deleteMemberCustomSticker(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/customStickers/${parameters.idSticker}`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberNotifications(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/notifications`,
                method: 'GET',
                params: {
                    entities: parameters.entities,
                    display: parameters.display,
                    filter: parameters.filter,
                    read_filter: parameters.readFilter,
                    fields: parameters.fields,
                    limit: parameters.limit,
                    page: parameters.page,
                    before: parameters.before,
                    since: parameters.since,
                    memberCreator: parameters.memberCreator,
                    memberCreator_fields: parameters.memberCreatorFields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberOrganizations(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/organizations`,
                method: 'GET',
                params: {
                    filter: parameters.filter,
                    fields: parameters.fields,
                    paid_account: parameters.paidAccount,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberOrganizationsInvited(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/organizationsInvited`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberSavedSearches(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/savedSearches`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    createMemberSavedSearch(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/savedSearches`,
                method: 'POST',
                params: {
                    name: parameters.name,
                    query: parameters.query,
                    pos: parameters.pos,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberSavedSearch(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/savedSearches/${parameters.idSearch}`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateMemberSavedSearch(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/savedSearches/${parameters.idSearch}`,
                method: 'PUT',
                params: {
                    name: parameters.name,
                    query: parameters.query,
                    pos: parameters.pos,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    deleteMemberSavedSearch(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/savedSearches/${parameters.idSearch}`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getMemberTokens(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/tokens`,
                method: 'GET',
                params: {
                    webhooks: parameters.webhooks,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    createMemberAvatar(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/avatar`,
                method: 'POST',
                params: {
                    file: parameters.file,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    dismissMemberMessage(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/members/${parameters.id}/oneTimeMessagesDismissed`,
                method: 'POST',
                params: {
                    value: parameters.value,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
}
exports.Members = Members;
