"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Plugins = void 0;
const tslib_1 = require("tslib");
class Plugins {
    constructor(client) {
        this.client = client;
    }
    getPlugin(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/plugins/${parameters.id}/`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updatePlugin(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/plugins/${parameters.id}/`,
                method: 'PUT',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    createPluginListing(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/plugins/${parameters.idPlugin}/listing`,
                method: 'POST',
                data: {
                    description: parameters.description,
                    locale: parameters.locale,
                    overview: parameters.overview,
                    name: parameters.name,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getPluginComplianceMemberPrivacy(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/plugins/${parameters.id}/compliance/memberPrivacy`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updatePluginListing(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/plugins/${parameters.idPlugin}/listings/${parameters.idListing}`,
                method: 'PUT',
                data: {
                    description: parameters.description,
                    locale: parameters.locale,
                    overview: parameters.overview,
                    name: parameters.name,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
}
exports.Plugins = Plugins;
