import * as Models from './models';
import * as Parameters from './parameters';
import { Client } from '../clients';
import { Callback } from '../types';
export declare class Search {
    private client;
    constructor(client: Client);
    /** Find what you're looking for in Trello */
    getSearch<T = Array<Models.Member | Models.Card | Models.Board | Models.Organization>>(parameters: Parameters.GetSearch, callback: Callback<T>): Promise<void>;
    /** Find what you're looking for in Trello */
    getSearch<T = Array<Models.Member | Models.Card | Models.Board | Models.Organization>>(parameters: Parameters.GetSearch, callback?: never): Promise<T>;
    /** Search for Trello members. */
    getSearchMembers<T = Models.Member[]>(parameters: Parameters.GetSearchMembers, callback: Callback<T>): Promise<void>;
    /** Search for Trello members. */
    getSearchMembers<T = Models.Member[]>(parameters: Parameters.GetSearchMembers, callback?: never): Promise<T>;
}
