"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tokens = void 0;
const tslib_1 = require("tslib");
class Tokens {
    constructor(client) {
        this.client = client;
    }
    getToken(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/tokens/${parameters.token}`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                    webhooks: parameters.webhooks,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getTokenMember(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/tokens/${parameters.token}/member`,
                method: 'GET',
                params: {
                    fields: parameters.fields,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getTokenWebhooks(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/tokens/${parameters.token}/webhooks`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    createTokenWebhooks(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/tokens/${parameters.token}/webhooks`,
                method: 'POST',
                params: {
                    description: parameters.description,
                    callbackURL: parameters.callbackURL,
                    idModel: parameters.idModel,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getTokenWebhook(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/tokens/${parameters.token}/webhooks/${parameters.idWebhook}`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateTokenWebhook(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/tokens/${parameters.token}/webhooks/${parameters.idWebhook}`,
                method: 'PUT',
                params: {
                    description: parameters.description,
                    callbackURL: parameters.callbackURL,
                    idModel: parameters.idModel,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    deleteTokenWebhook(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/tokens/${parameters.token}/webhooks/${parameters.idWebhook}`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    deleteToken(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/tokens/${parameters.token}/`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
}
exports.Tokens = Tokens;
