"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Webhooks = void 0;
const tslib_1 = require("tslib");
class Webhooks {
    constructor(client) {
        this.client = client;
    }
    createWebhook(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: '/webhooks/',
                method: 'POST',
                params: {
                    description: parameters.description,
                    callbackURL: parameters.callbackURL,
                    idModel: parameters.idModel,
                    active: parameters.active,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getWebhook(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/webhooks/${parameters.id}`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    updateWebhook(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/webhooks/${parameters.id}`,
                method: 'PUT',
                params: {
                    description: parameters.description,
                    callbackURL: parameters.callbackURL,
                    idModel: parameters.idModel,
                    active: parameters.active,
                },
            };
            return this.client.sendRequest(config, callback);
        });
    }
    deleteWebhook(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/webhooks/${parameters.id}`,
                method: 'DELETE',
            };
            return this.client.sendRequest(config, callback);
        });
    }
    getWebhookField(parameters, callback) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const config = {
                url: `/webhooks/${parameters.id}/${parameters.field}`,
                method: 'GET',
            };
            return this.client.sendRequest(config, callback);
        });
    }
}
exports.Webhooks = Webhooks;
